<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.moyuer.cloud</groupId>
        <artifactId>tmerclub</artifactId>
        <version>0.0.1</version>
    </parent>

    <artifactId>system-test</artifactId>
    <description>tmerclub test服务 用于做系统测试的模块</description>
    <packaging>jar</packaging>


    <dependencies>
        <dependency>
            <groupId>com.moyuer.cloud</groupId>
            <artifactId>tmerclub-user</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.moyuer.cloud</groupId>
            <artifactId>tmerclub-search</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.moyuer.cloud</groupId>
            <artifactId>tmerclub-marketing</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.moyuer.cloud</groupId>
            <artifactId>tmerclub-admin</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.moyuer.cloud</groupId>
            <artifactId>tmerclub-biz</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.moyuer.cloud</groupId>
            <artifactId>tmerclub-order</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.moyuer.cloud</groupId>
            <artifactId>tmerclub-product</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>org.testng</groupId>
            <artifactId>testng</artifactId>
            <version>7.5</version>
        </dependency>
        <!-- 添加reportNG依赖 -->
        <dependency>
            <groupId>org.uncommons</groupId>
            <artifactId>reportng</artifactId>
            <version>1.1.2</version>
            <scope>test</scope>
            <!-- 排除testNG依赖 -->
            <exclusions>
                <exclusion>
                    <groupId>org.testng</groupId>
                    <artifactId>testng</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.moyuer.cloud</groupId>
            <artifactId>tmerclub-group</artifactId>
            <version>0.0.1</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.moyuer.cloud</groupId>
            <artifactId>tmerclub-payment</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.moyuer.cloud</groupId>
            <artifactId>tmerclub-seckill</artifactId>
            <version>0.0.1</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>
</project>